import { FunctionComponent } from "react";
import Picker from "../picker";
import { AreaPickerProps } from "./area-picker";
import AreaPickerColumns from "./area-picker-columns";
interface AreaPickerInterface extends FunctionComponent<AreaPickerProps> {
    Toolbar: typeof Picker.Toolbar;
    Title: typeof Picker.Title;
    Button: typeof Picker.Button;
    Columns: typeof AreaPickerColumns;
}
declare const AreaPicker: AreaPickerInterface;
export default AreaPicker;
