import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
interface BackdropProps extends ViewProps {
    style?: CSSProperties;
    defaultOpen?: boolean;
    open?: boolean;
    closeable?: boolean;
    duration?: number;
    children?: ReactNode;
    onClose?(opened: boolean): void;
}
declare function Backdrop(props: BackdropProps): JSX.Element;
declare namespace Backdrop {
    var displayName: string;
}
export default Backdrop;
