import { ViewProps } from "@tarojs/components/types/View";
import { PropsWithChildren } from "react";
import { ButtonColor, ButtonSize, ButtonVariant } from "./button.shared";
interface ButtonGroupProps extends PropsWithChildren<ViewProps> {
    variant?: ButtonVariant;
    shape?: "round";
    size?: ButtonSize;
    color?: ButtonColor;
    block?: boolean;
    hairline?: boolean;
    disabled?: boolean;
}
declare function ButtonGroup(props: ButtonGroupProps): JSX.Element;
export default ButtonGroup;
