import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
import { CalendarDayType } from "./calendar.shared";
export interface CalendarDayProps extends ViewProps {
    type: CalendarDayType;
    value: Date;
    top?: ReactNode;
    bottom?: ReactNode;
    children?: ReactNode;
}
declare function CalendarDay(props: CalendarDayProps): JSX.Element;
export default CalendarDay;
