import { View } from "@tarojs/components";
import * as React from "react";
import { prefixClassname } from "../styles";
import CalendarWeekdays from "./calendar-weekdays";

function CalendarHeader(props) {
  var {
    title,
    subtitle
  } = props;
  return /*#__PURE__*/React.createElement(View, {
    className: prefixClassname("calendar__header")
  }, title !== false && /*#__PURE__*/React.createElement(View, {
    className: prefixClassname("calendar__header-title")
  }, title === true ? "日期选择" : title), subtitle && /*#__PURE__*/React.createElement(View, {
    className: prefixClassname("calendar__header-subtitle"),
    children: subtitle
  }), /*#__PURE__*/React.createElement(CalendarWeekdays, null));
}

export default CalendarHeader;
//# sourceMappingURL=calendar-header.js.map
