import { ReactNode } from "react";
import { CalendarDayObject, CalendarType, CalendarValueType } from "./calendar.shared";
interface CalendarContextValue {
    type: CalendarType;
    subtitle?: ReactNode;
    firstDayOfWeek: number;
    value?: CalendarValueType;
    min: Date;
    max: Date;
    formatter?(day: CalendarDayObject): CalendarDayObject;
    onDayClick?(day: CalendarDayObject): void;
    notifyConfirm?(confirm: boolean): void;
    onConfirm?(): void;
}
declare const CalendarContext: import("react").Context<CalendarContextValue>;
export default CalendarContext;
