import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
import { CellAlign, CellSize } from "./cell.shared";
export interface CellProps extends ViewProps {
    size?: CellSize;
    align?: CellAlign;
    title?: ReactNode;
    brief?: ReactNode;
    icon?: ReactNode;
    rightIcon?: ReactNode;
    bordered?: boolean;
    clickable?: boolean;
    children?: ReactNode;
    titleClass?: ViewProps["className"];
    titleStyle?: ViewProps["style"];
    valueClass?: ViewProps["className"];
    briefClass?: ViewProps["className"];
}
declare function Cell(props: CellProps): JSX.Element;
export default Cell;
