import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
declare type CollapseItemSize = "medium" | "large";
interface CollapseItemProps extends ViewProps {
    className?: string;
    style?: CSSProperties;
    value?: any;
    size?: CollapseItemSize;
    bordered?: boolean;
    clickable?: boolean;
    disabled?: boolean;
    icon?: ReactNode;
    expandIcon?: ReactNode;
    title?: ReactNode;
    brief?: ReactNode;
    extra?: ReactNode;
    children?: ReactNode;
}
declare function CollapseItem(props: CollapseItemProps): JSX.Element;
export default CollapseItem;
