import DialogComponent from "./dialog";
import DialogActions from "./dialog-actions";
import DialogContent from "./dialog-content";
import DialogHeader from "./dialog-header";
import { alertDialog, cancelDialog, confirmDialog, openDialog, resetDefaultDialogOptions, setDefaultDialogOptions } from "./dialog.imperative";
var Dialog = DialogComponent;
Dialog.Header = DialogHeader;
Dialog.Content = DialogContent;
Dialog.Actions = DialogActions;
Dialog.confirm = confirmDialog;
Dialog.alert = alertDialog;
Dialog.open = openDialog;
Dialog.cancel = cancelDialog;
Dialog.setDefaultOptions = setDefaultDialogOptions;
Dialog.resetDefaultOptions = resetDefaultDialogOptions;
export default Dialog;
//# sourceMappingURL=index.js.map
