import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
interface DividerProps extends ViewProps {
    dashed?: boolean;
    hairline?: boolean;
    children?: ReactNode;
}
declare function Divider(props: DividerProps): JSX.Element;
declare namespace Divider {
    export type TextOrientation = "left" | "right" | "center";
    interface TextProps {
        orientation?: TextOrientation;
        children?: ReactNode;
    }
    export function Text(props: TextProps): JSX.Element;
    export {};
}
export default Divider;
