import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
interface EmptyProps extends ViewProps {
    className?: string;
    children?: ReactNode;
}
declare function Empty(props: EmptyProps): JSX.Element;
declare namespace Empty {
    type ImagePreset = "default" | "error" | "search" | "network";
    interface ImageProps {
        className?: string;
        style?: CSSProperties;
        src?: ImagePreset | string;
    }
    export function Image(props: ImageProps): JSX.Element;
    interface DescriptionProps extends ViewProps {
        children?: ReactNode;
    }
    export function Description(props: DescriptionProps): JSX.Element;
    export {};
}
export default Empty;
