import { ReactElement, ReactNode, ReactText } from "react";
import { FormController, FormFeedbackProps, FormItemProps, FormLabelProps } from "../form";
export interface FieldProps extends FormItemProps {
    label?: ReactText | FormLabelProps | ReactElement;
    feedback?: ReactText | FormFeedbackProps | ReactElement;
    children?: ReactNode | ((controller: FormController<any>) => ReactNode);
}
declare function Field(props: FieldProps): JSX.Element;
export default Field;
