import { ViewProps } from "@tarojs/components/types/View";
import { PropsWithChildren } from "react";
import { PlaceholderProps } from "../placeholder";
import { SafeAreaPosition } from "../safe-area";
import { FixedViewPosition } from "./fixed-view.shared";
interface FixedViewProps extends PropsWithChildren<ViewProps> {
    position?: boolean | FixedViewPosition;
    safeArea?: SafeAreaPosition;
    placeholder?: boolean | string | Omit<PlaceholderProps, "children">;
}
declare function FixedView<T>(props: FixedViewProps & T): JSX.Element;
export default FixedView;
