var CONTROL_HANDLERS = [];
export function doFormControlHandler(element, controller) {
  var {
    type
  } = element;

  for (var handler of CONTROL_HANDLERS) {
    if (handler.supportsControlType(type)) {
      return handler.doControlRender(element, controller);
    }
  }

  return element;
}
export function registerFormControlHandler(handler) {
  CONTROL_HANDLERS.push(handler);
}
//# sourceMappingURL=form-control-handler.js.map
