import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
import { FormControlAlign, FormController } from "./form.shared";
interface FormControlProps<V> extends ViewProps, FormController<V> {
    align?: FormControlAlign;
    children?: ReactNode | ((controller: FormController<V>) => ReactNode);
}
declare function FormControl<V = any>(props: FormControlProps<V>): JSX.Element;
export default FormControl;
