import { FormValidError } from "./form.shared";
export default function useFormError(name?: string): {
    validateStatus: import("./form.shared").FormFeedbackStatus;
    readonly error: FormValidError | undefined;
    getError: () => FormValidError | undefined;
    setError: (error: Omit<FormValidError, "name">) => void;
    resetError: () => void;
};
