import { useContext, useEffect } from "react";
import FormContext from "./form.context";
import useForm from "./use-form";
export default function useFormField(name, field) {
  var {
    name: formName
  } = useContext(FormContext);
  var form = useForm(formName);

  if (name && field) {
    var _form$linkField;

    form === null || form === void 0 ? void 0 : (_form$linkField = form.linkField) === null || _form$linkField === void 0 ? void 0 : _form$linkField.call(form, name, field);
  }

  useEffect(() => () => {
    var _form$unlinkField;

    return form === null || form === void 0 ? void 0 : (_form$unlinkField = form.unlinkField) === null || _form$unlinkField === void 0 ? void 0 : _form$unlinkField.call(form, name);
  }, []);
}
//# sourceMappingURL=use-form-field.js.map
