import { View } from "@tarojs/components";
import classNames from "classnames";
import * as React from "react";
import { useContext } from "react";
import { prefixClassname } from "../styles";
import IndexListContext from "./index-list.context";
export default function IndexListIndex(props) {
  var {
    index
  } = props;
  var {
    activeIndex
  } = useContext(IndexListContext);
  return /*#__PURE__*/React.createElement(View, {
    className: classNames(prefixClassname("index-list__index"), {
      [prefixClassname("index-list__index--active")]: activeIndex === index
    }),
    children: index
  });
}
//# sourceMappingURL=index-list-index.js.map
