import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
import { ListDirection } from "./list.shared";
export interface ListProps extends ViewProps {
    loading?: boolean | (() => boolean);
    hasMore?: boolean | (() => boolean);
    direction?: ListDirection;
    offset?: number;
    children?: ReactNode;
    scrollTop?: number;
    onLoad?(): void;
    onLoading?(loading: true): void;
}
declare function List(props: ListProps): JSX.Element;
export default List;
