import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
export declare type LoadingType = "circular" | "spinner";
declare type LoadingDirection = "horizontal" | "vertical";
export interface LoadingProps extends ViewProps {
    className?: string;
    size?: number | string;
    type?: LoadingType;
    direction?: LoadingDirection;
    children?: ReactNode;
}
export default function Loading(props: LoadingProps): JSX.Element;
export {};
