/// <reference types="react" />
import { NavbarProps } from "./navbar";
import NavBarLeft from "./navbar-left";
import NavBarRight from "./navbar-right";
import NavBarTitle from "./navbar-title";
interface NavbarInterface {
    (props: NavbarProps): JSX.Element;
    NavLeft: typeof NavBarLeft;
    NavRight: typeof NavBarRight;
    Title: typeof NavBarTitle;
}
declare const Navbar: NavbarInterface;
export default Navbar;
