/// <reference types="react" />
import { NotifyProps } from "./notify";
import { closeNotify, openNotify, resetDefaultNotifyOptions, setDefaultNotifyOptions } from "./notify.imperative";
export type { NotifyColor } from "./notify.shared";
interface NotifyInterface {
    (props: NotifyProps): JSX.Element;
    open: typeof openNotify;
    close: typeof closeNotify;
    setDefaultOptions: typeof setDefaultNotifyOptions;
    resetDefaultOptions: typeof resetDefaultNotifyOptions;
}
declare const Notify: NotifyInterface;
export default Notify;
