import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
import { NotifyColor } from "./notify.shared";
export interface NotifyProps extends ViewProps {
    style?: CSSProperties;
    defaultOpen?: boolean;
    open?: boolean;
    duration?: number;
    color?: NotifyColor;
    children?: ReactNode;
    onClose?(opened: boolean): void;
}
declare function Notify(props: NotifyProps): JSX.Element;
export default Notify;
