import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
import { NumberKeyboardKeyOnPress } from "./number-keyboard-key.shared";
export declare function createExtraNumberKeyboardKey(extraKey: ReactNode): ReactNode;
export interface NumberKeyboardProps extends ViewProps {
    className?: string;
    open?: boolean;
    title?: ReactNode;
    extraKey?: ReactNode | [ReactNode, ReactNode];
    random?: boolean;
    children?: ReactNode;
    onKeyPress?: NumberKeyboardKeyOnPress;
    onBackspace?(): void;
    onHide?(): void;
}
declare function NumberKeyboard(props: NumberKeyboardProps): JSX.Element;
export default NumberKeyboard;
