import { ViewProps } from "@tarojs/components/types/View";
import * as React from "react";
import { PickerColumnInstance, PickerOptionObject } from "./picker.shared";
export interface PickerColumnProps extends ViewProps {
    value: any;
    className?: string;
    readonly?: boolean;
    children?: PickerOptionObject[];
    onChange?(option: PickerOptionObject, emitChange?: boolean): void;
}
declare const PickerColumn: React.ForwardRefExoticComponent<Pick<PickerColumnProps, "className" | "hoverClass" | "hoverStyle" | "hoverStopPropagation" | "hoverStartTime" | "hoverStayTime" | "id" | "style" | "key" | "hidden" | "animation" | "dangerouslySetInnerHTML" | "onTouchStart" | "onTouchMove" | "onTouchCancel" | "onTouchEnd" | "onClick" | "onLongPress" | "onLongClick" | "onTransitionEnd" | "onAnimationStart" | "onAnimationIteration" | "onAnimationEnd" | "onTouchForceChange" | "children" | "catchMove" | "value" | "readonly" | "onChange"> & React.RefAttributes<PickerColumnInstance>>;
export default PickerColumn;
