/// <reference types="react" />
import { SetRefCallback } from "../utils/state";
import { PickerColumnInstance, PickerOptionObject } from "./picker.shared";
interface PickerContextValue {
    values?: any[];
    readonly?: boolean;
    siblingCount: number;
    isMultiValue?(): boolean;
    getValueOptions?(): PickerOptionObject[];
    setValueOptions?(option: PickerOptionObject, column: PickerOptionObject): void;
    setColumnRefs?: SetRefCallback<PickerColumnInstance>;
    clearColumnRefs?(): void;
    onChange?(values: any, option: PickerOptionObject, column: PickerOptionObject): void;
    onConfirm?(): void;
    onCancel?(): void;
}
declare const PickerContext: import("react").Context<PickerContextValue>;
export default PickerContext;
