import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, PropsWithChildren } from "react";
interface UsePlaceholderOptions {
    className?: string;
}
export interface PlaceholderProps extends PropsWithChildren<ViewProps> {
    style?: CSSProperties;
}
export default function usePlaceholder(contentRef: any, { className }?: UsePlaceholderOptions): ({ className: classNameProp, style, children, ...restProps }: PlaceholderProps) => JSX.Element;
export {};
