import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
declare type ProgressColor = "primary" | "info" | "success" | "warning" | "danger";
export interface ProgressProps extends ViewProps {
    animated?: boolean;
    striped?: boolean;
    inactive?: boolean;
    label?: ReactNode | boolean;
    percent?: number;
    color?: ProgressColor;
}
declare function Progress(props: ProgressProps): JSX.Element;
export default Progress;
