/// <reference types="react" />
import Sheet from "../sheet";
import { ShareSheetProps } from "./share-sheet";
import ShareSheetHeader from "./share-sheet-header";
import ShareSheetOption from "./share-sheet-option";
import ShareSheetOptions from "./share-sheet-options";
import { ShareSheetOptionObject } from "./share-sheet.shared";
interface ShareSheetInterface {
    (props: ShareSheetProps): JSX.Element;
    Backdrop: typeof Sheet.Backdrop;
    Header: typeof ShareSheetHeader;
    Option: typeof ShareSheetOption;
    Options: typeof ShareSheetOptions;
    Button: typeof Sheet.Button;
}
declare const ShareSheet: ShareSheetInterface;
declare namespace ShareSheet {
    type OptionObject = ShareSheetOptionObject;
}
export default ShareSheet;
