import { CSSProperties, ReactNode } from "react";
import { ButtonBaseProps } from "../button-base";
interface ShareSheetOptionProps extends Omit<ButtonBaseProps, "size" | "type" | "plain" | "loading" | "formType"> {
    className?: string;
    style?: CSSProperties;
    value?: any;
    disabled?: boolean;
    icon?: ReactNode;
    name?: ReactNode;
    description?: ReactNode;
}
export declare function ShareSheetOption(mixedProps: ShareSheetOptionProps): JSX.Element;
export default ShareSheetOption;
