import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
import { SheetItemObject } from "./sheet.shared";
export interface SheetProps extends ViewProps {
    style?: CSSProperties;
    defaultOpen?: boolean;
    open?: boolean;
    rounded?: boolean;
    children?: ReactNode;
    onSelect?(item: SheetItemObject): void;
    onCancel?(): void;
    onClose?(opened: boolean): void;
}
declare function Sheet(props: SheetProps): JSX.Element;
export default Sheet;
