var _excluded = ["size", "type", "plain", "disabled", "loading", "formType", "openType", "hoverClass", "hoverStyle", "hoverStopPropagation", "hoverStartTime", "hoverStayTime", "lang", "sessionFrom", "sendMessageTitle", "sendMessagePath", "sendMessageImg", "appParameter", "businessId", "scope", "showMessageCard", "onGetUserInfo", "onGetAuthorize", "onContact", "onGetPhoneNumber", "onError", "onOpenSetting"];

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import { useMemo } from "react";
export default function useSheetProps(props) {
  return useMemo(() => {
    var {
      size,
      type,
      plain,
      disabled,
      loading,
      formType,
      openType,
      hoverClass,
      hoverStyle,
      hoverStopPropagation,
      hoverStartTime,
      hoverStayTime,
      lang,
      sessionFrom,
      sendMessageTitle,
      sendMessagePath,
      sendMessageImg,
      appParameter,
      businessId,
      scope,
      showMessageCard,
      onGetUserInfo,
      onGetAuthorize,
      onContact,
      onGetPhoneNumber,
      onError,
      onOpenSetting
    } = props,
        restProps = _objectWithoutProperties(props, _excluded);

    var buttonProps = {
      size,
      type,
      plain,
      disabled,
      loading,
      formType,
      openType,
      hoverClass,
      hoverStyle,
      hoverStopPropagation,
      hoverStartTime,
      hoverStayTime,
      lang,
      sessionFrom,
      sendMessageTitle,
      sendMessagePath,
      sendMessageImg,
      appParameter,
      businessId,
      scope,
      showMessageCard,
      onGetUserInfo,
      onGetAuthorize,
      onContact,
      onGetPhoneNumber,
      onError,
      onOpenSetting
    };
    return [buttonProps, restProps];
  }, [props]);
}
//# sourceMappingURL=use-sheet-props.js.map
