import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
declare type SliderOrientation = "horizontal" | "vertical";
export interface SliderProps extends ViewProps {
    style?: CSSProperties;
    step?: number;
    min?: number;
    max?: number;
    defaultValue?: any;
    value?: any;
    range?: boolean;
    size?: number;
    orientation?: SliderOrientation;
    disabled?: boolean;
    children?: ReactNode;
    onChange?(value: any): void;
}
declare function Slider(props: SliderProps): JSX.Element;
export default Slider;
