import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
import { StepperShape } from "./stepper.shared";
export interface StepperProps extends ViewProps {
    defaultValue?: number | string;
    value?: number | string;
    min?: number;
    max?: number;
    step?: number;
    size?: number | string;
    disabled?: boolean;
    precision?: number;
    longPress?: boolean;
    shape?: StepperShape;
    children?: ReactNode;
    onChange?(value: number | string): void;
}
declare function Stepper(props: StepperProps): JSX.Element;
export default Stepper;
