import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
declare type SwipeCellPosition = "left" | "right" | "cell" | "outside";
export interface SwipeCellProps extends ViewProps {
    className?: string;
    style?: CSSProperties;
    defaultOpen?: SwipeCellPosition;
    open?: SwipeCellPosition;
    disabled?: boolean;
    stopPropagation?: boolean;
    catchMove?: boolean;
    children?: ReactNode;
    beforeClose?(position: SwipeCellPosition): boolean | Promise<boolean>;
    onOpen?(position: SwipeCellPosition): void;
    onClose?(position: SwipeCellPosition): void;
}
declare function SwipeCell(props: SwipeCellProps): JSX.Element;
export default SwipeCell;
