/// <reference types="react" />
import { SwiperProps } from "./swiper";
import SwiperIndicator, { SwiperIndicatorProps } from "./swiper-indicator";
import SwiperItem, { SwiperItemProps } from "./swiper-item";
import { SwiperItemEvent } from "./swiper.shared";
interface SwiperInterface {
    (props: SwiperProps): JSX.Element;
    Item: typeof SwiperItem;
    Indicator: typeof SwiperIndicator;
}
declare const Swiper: SwiperInterface;
declare namespace Swiper {
    type ItemEvent = SwiperItemEvent;
    type ItemProps = SwiperItemProps;
    type IndicatorProps = SwiperIndicatorProps;
}
export default Swiper;
