/// <reference types="react" />
import { SwiperDirection } from "./swiper.shared";
export interface SwiperItemInstance {
    setOffset: (offset: number) => void;
}
interface SwiperContextValue {
    direction?: SwiperDirection;
    lazyRender?: boolean;
    loop?: boolean;
    getSize?: () => number;
    indicator?: number;
    count?: number;
    itemInstances: SwiperItemInstance[];
}
declare const SwiperContext: import("react").Context<SwiperContextValue>;
export default SwiperContext;
