/// <reference types="react" />
import { TabEvent, TabObject, TabsTheme } from "./tabs.shared";
export interface NavOffset {
    left?: number;
    width?: number;
}
export interface TabOffset {
    left?: number;
    width?: number;
}
interface TabsHeaderProps {
    value: any;
    theme?: TabsTheme;
    bordered?: boolean;
    ellipsis?: boolean;
    tabObjects: TabObject[];
    onTabClick?(event: TabEvent): void;
}
export default function TabsHeader(props: TabsHeaderProps): JSX.Element;
export {};
