/// <reference types="react" />
import { TabObject, TabsTheme } from "./tabs.shared";
interface TabsContextValue {
    index?: number;
    value: any;
    duration?: number;
    lazyRender: boolean;
    animated: boolean;
    swipeable: boolean;
    theme?: TabsTheme;
    bordered?: boolean;
    ellipsis?: boolean;
    tabObjects: TabObject[];
}
declare const TabsContext: import("react").Context<TabsContextValue>;
export default TabsContext;
