import { ViewProps } from "@tarojs/components/types/View";
import { PageScrollObject } from "@tarojs/taro";
import { ReactNode } from "react";
import { TabEvent, TabsTheme } from "./tabs.shared";
interface TabsSticky {
    offsetTop?: string | number;
}
export interface TabsProps extends ViewProps {
    className?: string;
    defaultValue?: any;
    value?: any;
    theme?: TabsTheme;
    duration?: number;
    lazyRender?: boolean;
    animated?: boolean;
    swipeable?: boolean;
    sticky?: boolean | TabsSticky;
    bordered?: boolean;
    ellipsis?: boolean;
    children?: ReactNode;
    onChange?(value: any, event: TabEvent): void;
    onTabClick?(event: TabEvent): void;
    onScroll?(scroll: PageScrollObject): void;
}
declare function Tabs(props: TabsProps): JSX.Element;
export default Tabs;
