import { ViewProps } from "@tarojs/components/types/View";
import { PropsWithChildren } from "react";
declare type TimelineDotColor = "default" | "primary" | "info" | "success" | "warning" | "danger";
declare type TimelineDotVariant = "filled" | "outlined";
export interface TimelineDotProps extends PropsWithChildren<ViewProps> {
    variant?: TimelineDotVariant;
    color?: TimelineDotColor;
}
declare function TimelineDot(props: TimelineDotProps): JSX.Element;
export default TimelineDot;
