import Popup from "../popup";
import ToastComponent from "./toast";
import { closeToast, createToast, openToast, resetDefaultToastOptions, setDefaultToastOptions } from "./toast.imperative";
var Toast = ToastComponent;
Toast.Backdrop = Popup.Backdrop;
Toast.open = openToast;
Toast.loading = createToast("loading");
Toast.success = createToast("success");
Toast.fail = createToast("fail");
Toast.close = closeToast;
Toast.setDefaultOptions = setDefaultToastOptions;
Toast.resetDefaultOptions = resetDefaultToastOptions;
export default Toast;
//# sourceMappingURL=index.js.map
