/// <reference types="react" />
import { TreeSelectProps } from "./tree-select";
import TreeSelectOption from "./tree-select-option";
import TreeSelectTab from "./tree-select-tab";
import { TreeSelectTabObject } from "./tree-select.shared";
interface TreeSelectInterface {
    (props: TreeSelectProps): JSX.Element;
    Tab: typeof TreeSelectTab;
    Option: typeof TreeSelectOption;
}
declare const TreeSelect: TreeSelectInterface;
declare namespace TreeSelect {
    type TabObject = TreeSelectTabObject;
}
export default TreeSelect;
