import { ITouchEvent } from "@tarojs/components";
import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
import { ImageMode } from "../image";
interface UploaderImageProps extends ViewProps {
    className?: string;
    type?: string;
    url?: string;
    name?: string;
    removable?: boolean;
    mode?: ImageMode;
    alt?: string;
    round?: boolean;
    children?: ReactNode;
    onRemove?(event: ITouchEvent): void;
}
declare function UploaderImage(props: UploaderImageProps): JSX.Element;
export default UploaderImage;
