import { ReactNode } from "react";
export declare type UploadStatus = "uploading" | "completed" | "failed";
export interface UploadFile {
    url?: string;
    type?: string;
    name?: string;
    removable?: boolean;
    status?: UploadStatus;
    message?: ReactNode;
}
export declare function getOneUploadFile(files: UploadFile | UploadFile[]): UploadFile;
export declare function getUploadFiles(files: UploadFile | UploadFile[]): UploadFile[];
