import { ITouchEvent } from "@tarojs/components";
import { ReactNode } from "react";
import { ButtonBaseProps } from "../button-base";
import { SheetItemProps } from "../sheet";
export interface ActionSheetActionProps extends SheetItemProps, Omit<ButtonBaseProps, "size" | "type" | "plain" | "loading" | "formType"> {
    name?: ReactNode;
    value?: any;
    onClick?: (event: ITouchEvent) => void;
}
export default function ActionSheetAction(mixedProps: ActionSheetActionProps): JSX.Element;
