/// <reference types="react" />
import ShareSheetHeader from "../share-sheet/share-sheet-header";
import Sheet from "../sheet";
import { ActionSheetProps } from "./action-sheet";
import ActionSheetAction from "./action-sheet-action";
import { ActionSheetActionObject } from "./action-sheet.shared";
export type { ActionSheetActionObject } from "./action-sheet.shared";
interface ActionSheetInterface {
    (props: ActionSheetProps): JSX.Element;
    Backdrop: typeof Sheet.Backdrop;
    Header: typeof ShareSheetHeader;
    Action: typeof ActionSheetAction;
    Button: typeof Sheet.Button;
}
declare const ActionSheet: ActionSheetInterface;
declare namespace ActionSheet {
    type ActionObject = ActionSheetActionObject;
}
export default ActionSheet;
