import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
import { AvatarShape, AvatarSize } from "./avatar.shared";
export interface AvatarProps extends ViewProps {
    className?: string;
    style?: CSSProperties;
    src?: string;
    alt?: string;
    shape?: AvatarShape;
    size?: AvatarSize;
    children?: ReactNode;
}
declare function Avatar(props: AvatarProps): JSX.Element;
export default Avatar;
