import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
export declare type BadgePosition = "top-left" | "top-right" | "bottom-left" | "bottom-right";
export interface BadgeProps extends ViewProps {
    className?: string;
    style?: CSSProperties;
    content?: ReactNode;
    fixed?: boolean;
    dot?: boolean;
    max?: number;
    position?: BadgePosition;
    children?: ReactNode;
}
declare function Badge(props: BadgeProps): JSX.Element;
export default Badge;
