import * as React from "react";
import { ReactNode } from "react";
import { CalendarDayObject } from "./calendar.shared";
export interface CalendarMonthInstance {
    disabledDays: CalendarDayObject[];
    getValue(): Date;
    getHeight(): number;
    getScrollTop(subtitle: any): Promise<number>;
}
interface CalendarMonthProps {
    value?: Date;
    top?: boolean;
    readonly?: boolean;
    watermark?: boolean;
    children?: ReactNode;
}
declare const CalendarMonth: React.ForwardRefExoticComponent<CalendarMonthProps & React.RefAttributes<CalendarMonthInstance>>;
export default CalendarMonth;
