/// <reference types="react" />
import { CalendarProps } from "./calendar";
import CalendarButton from "./calendar-button";
import CalendarFooter from "./calendar-footer";
import { CalendarDayObject } from "./calendar.shared";
export type { CalendarType, CalendarDayType } from "./calendar.shared";
interface CalendarInterface {
    (props: CalendarProps): JSX.Element;
    Footer: typeof CalendarFooter;
    Button: typeof CalendarButton;
}
declare const Calendar: CalendarInterface;
declare namespace Calendar {
    type DayObject = CalendarDayObject;
}
export default Calendar;
