import { ReactNode } from "react";
import Tabs from "../tabs";
import { CascaderOptionObject } from "./cascader.shared";
export interface CascaderProps {
    className?: string;
    defaultValue?: any[];
    value?: any[];
    swipeable?: boolean;
    placeholder?: ReactNode;
    children?: ReactNode;
    onChange?(values: any[], options: CascaderOptionObject[]): void;
    onSelect?(values: any[], options: CascaderOptionObject[]): void;
    onTabClick?(event: Tabs.TabEvent): void;
}
declare function Cascader(props: CascaderProps): JSX.Element;
export default Cascader;
