/// <reference types="react" />
import { CascaderProps } from "./cascader";
import CascaderHeader from "./cascader-header";
import CascaderOption from "./cascader-option";
import CascaderTab from "./cascader-tab";
import { CascaderOptionObject } from "./cascader.shared";
interface CascaderInterface {
    (props: CascaderProps): JSX.Element;
    Header: typeof CascaderHeader;
    Tab: typeof CascaderTab;
    Option: typeof CascaderOption;
}
declare const Cascader: CascaderInterface;
declare namespace Cascader {
    type OptionObject = CascaderOptionObject;
}
export default Cascader;
