import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
import { CellAlign, CellSize } from "./cell.shared";
export interface CellBaseProps extends ViewProps {
    bordered?: boolean;
    required?: boolean;
    clickable?: boolean;
    size?: CellSize;
    align?: CellAlign;
    icon?: ReactNode;
    rightIcon?: ReactNode;
    children?: ReactNode;
}
declare function CellBase(props: CellBaseProps): JSX.Element;
export default CellBase;
