import { ViewProps } from "@tarojs/components/types/View";
import { ReactNode } from "react";
import { CheckboxShape } from "./checkbox.shared";
export interface CheckboxProps extends ViewProps {
    name?: any;
    defaultChecked?: boolean;
    checked?: boolean;
    disabled?: boolean;
    shape?: CheckboxShape;
    icon?: ReactNode;
    size?: number;
    children?: ReactNode;
    onChange?(checked: boolean): void;
}
export default function Checkbox(props: CheckboxProps): JSX.Element;
