import { ViewProps } from "@tarojs/components/types/View";
import * as React from "react";
import { ReactNode } from "react";
import { CountdownInstance, CurrentTime } from "./countdown.shared";
import { UseCountdownOptions } from "./use-countdown";
interface CountdownProps extends ViewProps, UseCountdownOptions {
    format?: string | ((current: CurrentTime) => ReactNode);
    children?: ReactNode | ((current: CurrentTime) => ReactNode);
}
declare const Countdown: React.ForwardRefExoticComponent<Pick<CountdownProps, "className" | "hoverClass" | "hoverStyle" | "hoverStopPropagation" | "hoverStartTime" | "hoverStayTime" | "id" | "style" | "key" | "hidden" | "animation" | "dangerouslySetInnerHTML" | "onTouchStart" | "onTouchMove" | "onTouchCancel" | "onTouchEnd" | "onClick" | "onLongPress" | "onLongClick" | "onTransitionEnd" | "onAnimationStart" | "onAnimationIteration" | "onAnimationEnd" | "onTouchForceChange" | "children" | "catchMove" | "value" | "onChange" | "autostart" | "interval" | "onComplete" | "format"> & React.RefAttributes<CountdownInstance>>;
export default Countdown;
