import { View } from "@tarojs/components";
import classNames from "classnames";
import * as React from "react";
import { prefixClassname } from "../styles";
export default function DialogContent(props) {
  var {
    isolated,
    align = "center",
    children
  } = props;
  return /*#__PURE__*/React.createElement(View, {
    className: classNames(prefixClassname("dialog__content"), {
      [prefixClassname("dialog__content--isolated")]: isolated
    })
  }, /*#__PURE__*/React.createElement(View, {
    className: classNames(prefixClassname("dialog__message"), {
      [prefixClassname("dialog__message--left")]: align === "left",
      [prefixClassname("dialog__message--right")]: align === "right"
    }),
    children: children
  }));
}
//# sourceMappingURL=dialog-content.js.map
