import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
import { ExitHandler } from "react-transition-group/Transition";
export interface DropdownMenuItemProps extends ViewProps {
    style?: CSSProperties;
    __dataKey__?: any;
    defaultValue?: any | any[];
    value?: any | any[];
    disabled?: boolean;
    title?: ReactNode;
    children?: ReactNode;
    onChange?(value: any | any[]): void;
    onTransitionExited?: ExitHandler<HTMLElement>;
}
declare function DropdownMenuItem(props: DropdownMenuItemProps): JSX.Element;
export default DropdownMenuItem;
