import { ForwardRefExoticComponent } from "react";
import { FlexProps } from "./flex";
import FlexItem from "./flex-item";
export type { FlexProps } from "./flex";
export type { FlexAlign, FlexDirection, FlexJustify } from "./flex.shared";
export type { FlexItemProps } from "./flex-item";
interface FlexInterface extends ForwardRefExoticComponent<FlexProps> {
    Item: typeof FlexItem;
}
declare const Flex: FlexInterface;
export default Flex;
