import { ReactElement, ReactNode } from "react";
import { FormController } from "../form.shared";
export default interface FormControlHandler<P> {
    doControlRender(element: ReactElement<P>, controller: FormController<any>): ReactNode;
    supportsControlType(elementType: any): boolean;
}
export declare function doFormControlHandler(element: ReactElement, controller: FormController<any>): ReactNode;
export declare function registerFormControlHandler(handler: FormControlHandler<any>): void;
