import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
import { GridDirection } from "./grid.shared";
export interface GridProps extends ViewProps {
    style?: CSSProperties;
    columns?: number;
    gutter?: number | string;
    bordered?: boolean;
    centered?: boolean;
    clickable?: boolean;
    square?: boolean;
    direction?: GridDirection;
    children?: ReactNode;
}
declare function Grid(props: GridProps): JSX.Element;
export default Grid;
