import { useEffect, useRef } from "react";

function useDidEffect(effect, deps) {
  var mounted = useRef(false);
  useEffect(() => {
    if (mounted.current) {
      effect === null || effect === void 0 ? void 0 : effect();
    } else {
      mounted.current = true;
    }
  }, deps);
}

export default useDidEffect;
//# sourceMappingURL=use-did-effect.js.map
