import { useState } from "react";
import { getRect } from "../utils/dom/rect";
import { useRenderedEffect } from "./index";
export default function useHeight(elementOrRef, deps) {
  var [height, setHeight] = useState(0);
  useRenderedEffect(() => {
    getRect(elementOrRef).then(rect => rect === null || rect === void 0 ? void 0 : rect.height).then(setHeight);
  }, deps);
  return height;
}
//# sourceMappingURL=use-height.js.map
