import _uniqueId from "lodash/uniqueId";
import { useRef } from "react";

function useUniqueId() {
  var prefix = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "t_";
  var uniqueIdRef = useRef(_uniqueId(prefix));
  return uniqueIdRef.current;
}

export default useUniqueId;
//# sourceMappingURL=use-unique-id.js.map
