import { offWindowResize, onWindowResize } from "@tarojs/taro";
import { useEffect } from "react";

function useWindowResize(callback) {
  useEffect(() => {
    onWindowResize === null || onWindowResize === void 0 ? void 0 : onWindowResize(callback);
    return () => offWindowResize === null || offWindowResize === void 0 ? void 0 : offWindowResize(callback);
  }, [callback]);
}

export default useWindowResize;
//# sourceMappingURL=use-window-resize.js.map
