import { StandardProps } from "@tarojs/components/types/common";
import { ReactNode } from "react";
import { ImageMode, ImageShape } from "./image.shared";
export interface ImageProps extends StandardProps {
    src?: string;
    alt?: string;
    mode?: ImageMode;
    round?: boolean;
    shape?: ImageShape;
    lazyLoad?: boolean;
    placeholder?: boolean | ReactNode;
    fallback?: boolean | ReactNode;
    onLoad?(): void;
    onError?(): void;
}
export default function Image(props: ImageProps): JSX.Element;
