import { ViewProps } from "@tarojs/components/types/View";
import * as React from "react";
import { ReactNode } from "react";
export interface IndexListAnchorInstance {
    scrollIntoView(scrollTop: number): void;
}
export interface IndexListAnchorProps extends ViewProps {
    index: number | string;
    children?: ReactNode;
}
declare const IndexListAnchor: React.ForwardRefExoticComponent<Pick<IndexListAnchorProps, "className" | "hoverClass" | "hoverStyle" | "hoverStopPropagation" | "hoverStartTime" | "hoverStayTime" | "id" | "style" | "key" | "hidden" | "animation" | "dangerouslySetInnerHTML" | "onTouchStart" | "onTouchMove" | "onTouchCancel" | "onTouchEnd" | "onClick" | "onLongPress" | "onLongClick" | "onTransitionEnd" | "onAnimationStart" | "onAnimationIteration" | "onAnimationEnd" | "onTouchForceChange" | "children" | "catchMove" | "index"> & React.RefAttributes<IndexListAnchorInstance>>;
export default IndexListAnchor;
