import { View } from "@tarojs/components";
import * as React from "react";
import { forwardRef } from "react";
import { prefixClassname } from "../styles";
var IndexListSidebar = /*#__PURE__*/forwardRef((props, ref) => {
  var {
    children,
    onClick,
    onTouchMove,
    onTouchCancel,
    onTouchEnd
  } = props;
  return /*#__PURE__*/React.createElement(View, {
    ref: ref,
    catchMove: true,
    className: prefixClassname("index-list__sidebar"),
    children: children,
    onClick: onClick,
    onTouchMove: onTouchMove,
    onTouchCancel: onTouchCancel,
    onTouchEnd: onTouchEnd
  });
});
export default IndexListSidebar;
//# sourceMappingURL=index-list-sidebar.js.map
