/// <reference types="react" />
import { NumberKeyboardKeyCode, NumberKeyboardKeyOnPress } from "./number-keyboard-key.shared";
declare type NumberKeyboardKeySize = "small" | "medium" | "large";
declare type NumberKeyboardKeyColor = "blue";
export interface NumberKeyboardKeyProps {
    className?: string;
    code?: NumberKeyboardKeyCode;
    size?: NumberKeyboardKeySize;
    color?: NumberKeyboardKeyColor;
    wider?: boolean;
    children?: string | number;
    onPress?: NumberKeyboardKeyOnPress;
}
declare function NumberKeyboardKey(props: NumberKeyboardKeyProps): JSX.Element;
export default NumberKeyboardKey;
