import { ITouchEvent } from "@tarojs/components";
import { ViewProps } from "@tarojs/components/types/View";
import { ReactElement, ReactText } from "react";
import { PasswordInputFeedbackProps } from "./password-input-feedback";
export interface PasswordInputProps extends ViewProps {
    value?: string;
    length?: number;
    gutter?: number;
    mask?: boolean;
    focused?: boolean;
    focus?: boolean;
    feedback?: ReactText | PasswordInputFeedbackProps | ReactElement;
    onFocus?(event: ITouchEvent): void;
}
declare function PasswordInput(props: PasswordInputProps): JSX.Element;
export default PasswordInput;
