import { ITouchEvent } from "@tarojs/components";
import { ReactNode } from "react";
export declare enum PickerButtonType {
    Cancel = "cancel",
    Confirm = "confirm"
}
declare type PickerButtonTypeString = "cancel" | "confirm";
export interface PickerButtonProps {
    type?: PickerButtonType | PickerButtonTypeString;
    children?: ReactNode;
    onClick?(event: ITouchEvent): void;
}
export default function PickerButton(props: PickerButtonProps): JSX.Element;
export {};
