import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
import { PickerOptionObject } from "./picker.shared";
export interface PickerColumnsRenderProps extends ViewProps {
    style?: CSSProperties;
    values?: any[];
    readonly?: boolean;
    siblingCount: number;
    children?: ReactNode;
    onChange?(option: PickerOptionObject, column: PickerOptionObject, emitChange?: boolean): void;
}
declare function PickerColumnsRender(props: PickerColumnsRenderProps): JSX.Element;
export default PickerColumnsRender;
