import { Key, ReactNode } from "react";
export declare const DEFAULT_SIBLING_COUNT = 3;
export interface PickerOptionObject extends Record<string, any> {
    key?: Key;
    index: number;
    value?: any;
    disabled?: boolean;
    label?: ReactNode;
    children?: ReactNode;
}
export interface PickerColumnInstance {
    stopMomentum(): void;
}
export declare function validPickerColumn(column: PickerOptionObject): PickerOptionObject | undefined;
export declare function getPickerOptionKey(option: PickerOptionObject): any;
export declare function getPickerValue(values: any, multiColumns: boolean): any;
