import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
export interface PopupBackdropProps extends ViewProps {
    style?: CSSProperties;
    open?: boolean;
    duration?: number;
    closeable?: boolean;
}
declare function PopupBackdrop(props: PopupBackdropProps): JSX.Element;
declare namespace PopupBackdrop {
    var displayName: string;
}
export default PopupBackdrop;
export declare function usePopupBackdrop(backdrop?: ReactNode, options?: boolean | Omit<PopupBackdropProps, "open">): {} | null;
