import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
export interface RateProps extends ViewProps {
    className?: string;
    style?: CSSProperties;
    defaultValue?: number;
    value?: number;
    count?: number;
    size?: number;
    gutter?: number;
    allowHalf?: boolean;
    readonly?: boolean;
    disabled?: boolean;
    touchable?: boolean;
    icon?: ReactNode;
    emptyIcon?: ReactNode;
    onChange?(value: number): void;
}
declare function Rate(props: RateProps): JSX.Element;
export default Rate;
