/// <reference types="react" />
import { ViewProps } from "@tarojs/components/types/View";
declare type SkeletonVariant = "rect" | "circle";
declare type SkeletonAnimation = "pulse" | "wave";
interface SkeletonProps extends Omit<ViewProps, "animation"> {
    variant?: SkeletonVariant;
    animation?: SkeletonAnimation | false;
}
declare function Skeleton(props: SkeletonProps): JSX.Element;
export default Skeleton;
