import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
import { SpaceAlign, SpaceDirection, SpaceJustify, SpaceSize, SpaceWrap } from "./space.shared";
interface SpaceProps extends ViewProps {
    style?: CSSProperties;
    direction?: SpaceDirection;
    size?: SpaceSize;
    align?: SpaceAlign;
    justify?: SpaceJustify;
    wrap?: SpaceWrap;
    children?: ReactNode;
}
export default function Space(props: SpaceProps): JSX.Element;
export {};
