/// <reference types="react" />
import { StepperProps } from "./stepper";
import StepperButton from "./stepper-button";
import StepperInput from "./stepper-input";
export type { StepperProps } from "./stepper";
interface StepperInterface {
    (props: StepperProps): JSX.Element;
    Input: typeof StepperInput;
    Button: typeof StepperButton;
}
declare const Stepper: StepperInterface;
export default Stepper;
