import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
import { StepsDirection } from "./steps.shared";
export interface StepsProps extends ViewProps {
    className?: string;
    style?: CSSProperties;
    defaultValue?: number;
    value?: number;
    direction?: StepsDirection;
    alternativeLabel?: boolean;
    children?: ReactNode;
}
declare function Steps(props: StepsProps): JSX.Element;
export default Steps;
