import { ViewProps } from "@tarojs/components/types/View";
import * as React from "react";
import { ReactNode } from "react";
declare type SwipeCellSide = "left" | "right";
interface SwipeCellActionsProps extends ViewProps {
    side?: SwipeCellSide;
    children?: ReactNode;
}
declare const SwipeCellActions: React.ForwardRefExoticComponent<Pick<SwipeCellActionsProps, "className" | "hoverClass" | "hoverStyle" | "hoverStopPropagation" | "hoverStartTime" | "hoverStayTime" | "id" | "style" | "key" | "hidden" | "animation" | "dangerouslySetInnerHTML" | "onTouchStart" | "onTouchMove" | "onTouchCancel" | "onTouchEnd" | "onClick" | "onLongPress" | "onLongClick" | "onTransitionEnd" | "onAnimationStart" | "onAnimationIteration" | "onAnimationEnd" | "onTouchForceChange" | "children" | "catchMove" | "side"> & React.RefAttributes<React.ComponentType<ViewProps>>>;
export default SwipeCellActions;
