import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
import { SwiperDirection } from "./swiper.shared";
export interface SwiperProps extends ViewProps {
    className?: string;
    style?: CSSProperties;
    defaultValue?: number;
    value?: number;
    lazyRender?: boolean;
    width?: number;
    height?: number;
    autoplay?: number;
    loop?: boolean;
    touchable?: boolean;
    duration?: number;
    direction?: SwiperDirection;
    stopPropagation?: boolean;
    children?: ReactNode;
    onChange?(value: number): void;
}
declare function Swiper(props: SwiperProps): JSX.Element;
export default Swiper;
