import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties } from "react";
export interface SwitchProps extends ViewProps {
    style?: CSSProperties;
    defaultChecked?: boolean;
    checked?: boolean;
    loading?: boolean;
    disabled?: boolean;
    size?: number | string;
    onChange?(checked: boolean): void;
}
declare function Switch(props: SwitchProps): JSX.Element;
export default Switch;
