/// <reference types="react" />
import TabPane from "./tab-pane";
import { TabsProps } from "./tabs";
import { TabEvent as SharedTabEvent } from "./tabs.shared";
interface TabsInterface {
    (props: TabsProps): JSX.Element;
    TabPane: typeof TabPane;
}
declare const Tabs: TabsInterface;
declare namespace Tabs {
    type TabEvent = SharedTabEvent;
}
export default Tabs;
