import { View } from "@tarojs/components";
import classNames from "classnames";
import * as React from "react";
import { useContext } from "react";
import { prefixClassname } from "../styles";
import TabsContext from "./tabs.context";
export default function TabsLine(props) {
  var {
    active
  } = props;
  var {
    duration
  } = useContext(TabsContext);
  return /*#__PURE__*/React.createElement(View, {
    className: classNames(prefixClassname("tabs__line"), {
      [prefixClassname("tabs__line--active")]: active
    }),
    style: {
      transitionDuration: "".concat(duration, "ms")
    }
  });
}
//# sourceMappingURL=tabs-line.js.map
