/// <reference types="react" />
import { BaseEventOrig } from "@tarojs/components/types/common";
import { InputProps as TaroInputProps } from "@tarojs/components/types/Input";
import { NativeTextareaProps } from "./native-textarea";
export interface TextareaProps extends NativeTextareaProps {
    limit?: number | boolean;
    readonly?: boolean;
    onChange?(event: BaseEventOrig<TaroInputProps.inputEventDetail>): void;
}
declare function Textarea(props: TextareaProps): JSX.Element;
export default Textarea;
