import { FunctionComponent } from "react";
import { TimelineProps } from "./timeline";
import TimelineConnector from "./timeline-connector";
import TimelineContent from "./timeline-content";
import TimelineDot from "./timeline-dot";
import TimelineItem from "./timeline-item";
import TimelineSeparator from "./timeline-separator";
interface TimelineInterface extends FunctionComponent<TimelineProps> {
    Connector: typeof TimelineConnector;
    Content: typeof TimelineContent;
    Dot: typeof TimelineDot;
    Item: typeof TimelineItem;
    Separator: typeof TimelineSeparator;
}
declare const Timeline: TimelineInterface;
export default Timeline;
