import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, PropsWithChildren } from "react";
import { FlexAlign, FlexDirection, FlexJustify } from "../flex";
export interface TimeLineContentProps extends PropsWithChildren<ViewProps> {
    style?: CSSProperties;
    direction?: FlexDirection;
    align?: FlexAlign;
    justify?: FlexJustify;
}
declare function TimeLineContent(props: TimeLineContentProps): JSX.Element;
export default TimeLineContent;
