import { ViewProps } from "@tarojs/components/types/View";
import { CSSProperties, ReactNode } from "react";
import { ToastPosition, ToastType } from "./toast.shared";
export interface ToastProps extends ViewProps {
    className?: string;
    style?: CSSProperties;
    defaultOpen?: boolean;
    open?: boolean;
    type?: ToastType;
    position?: ToastPosition;
    icon?: ReactNode;
    duration?: number;
    children?: ReactNode;
    onClose?(opened: boolean): void;
}
export default function Toast(props: ToastProps): JSX.Element;
