/// <reference types="react" />
import { UploaderProps } from "./uploader";
import UploaderImage from "./uploader-image";
import UploaderUpload from "./uploader-upload";
import { UploadFile } from "./uploader.shared";
export type { UploaderProps } from "./uploader";
interface UploaderInterface {
    (props: UploaderProps): JSX.Element;
    Upload: typeof UploaderUpload;
    Image: typeof UploaderImage;
}
declare const Uploader: UploaderInterface;
declare namespace Uploader {
    type File = UploadFile;
}
export default Uploader;
