import { TaroElement } from "@tarojs/runtime";
export declare const ELEMENT_NODE_TYPE = 1;
export declare function isWindow(val: unknown): val is Window;
export declare function isBodyElement(val: unknown): boolean;
export declare function isRootElement(node?: TaroElement): boolean;
export declare function isBlockElement(node?: TaroElement): boolean;
export declare function elementUnref(elementOrRef: any): TaroElement;
export declare function matchSelector(aSelector?: string, bSelector?: string): boolean;
export declare function getElementSelector(id?: string, className?: string): string;
export declare function prependPageSelector(selector?: string): string | undefined;
export declare function usePrependPageSelector(selector?: string): string | undefined;
export declare function queryNodesRef(element: TaroElement): import("@tarojs/taro").NodesRef;
export declare function queryAllNodesRef(element: TaroElement, selector?: string): import("@tarojs/taro").NodesRef;
