var debugLevel = 1;
var infoLevel = debugLevel << 2;
var warnLevel = infoLevel << 2;
var logConfig = {
  level: debugLevel
};
export function getLogger(name) {
  return {
    warn(message) {
      if (logConfig.level <= warnLevel) {
        for (var _len = arguments.length, optionalParams = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
          optionalParams[_key - 1] = arguments[_key];
        }

        console.warn("Taroify - ".concat(name, " : ").concat(message), ...optionalParams);
      }
    },

    deprecated(message) {
      if (logConfig.level <= warnLevel) {
        for (var _len2 = arguments.length, optionalParams = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
          optionalParams[_key2 - 1] = arguments[_key2];
        }

        console.warn("[Deprecated] Taroify - ".concat(name, " : ").concat(message), ...optionalParams);
      }
    }

  };
}
//# sourceMappingURL=logger.js.map
